package com.inspect.access.base.vo;

import com.inspect.base.core.utils.BigDecimalUtil;
import java.io.Serializable;

public class DeviceStorageVo implements Serializable {
   private static final long serialVersionUID = -4207167945858333412L;
   private double nTotalSpace;
   private double nFreeSpace;
   private double nUsedSpace;

   public DeviceStorageVo() {
   }

   public DeviceStorageVo(long nTotalSpace, long nFreeSpace) {
      this.nTotalSpace = BigDecimalUtil.round((double)nTotalSpace / 1024.0D / 1024.0D / 1024.0D / 1024.0D, 2);
      this.nFreeSpace = BigDecimalUtil.round((double)nFreeSpace / 1024.0D / 1024.0D / 1024.0D / 1024.0D, 2);
      this.nUsedSpace = BigDecimalUtil.round(this.nTotalSpace - this.nFreeSpace, 2);
   }

   public double getnTotalSpace() {
      return this.nTotalSpace;
   }

   public void setnTotalSpace(double nTotalSpace) {
      this.nTotalSpace = nTotalSpace;
   }

   public double getnFreeSpace() {
      return this.nFreeSpace;
   }

   public void setnFreeSpace(double nFreeSpace) {
      this.nFreeSpace = nFreeSpace;
   }

   public double getnUsedSpace() {
      return this.nUsedSpace;
   }

   public void setnUsedSpace(double nUsedSpace) {
      this.nUsedSpace = nUsedSpace;
   }
}
